Bug 208843 - 4gb RAM shown as 3GB on nx6325
Summary: 4gb RAM shown as 3GB on nx6325
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-02 12:40 UTC by peter young
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 19:48:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description peter young 2006-10-02 12:40:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
Fedora onlys show 3GB of RAM even when 4GB is in the machine.
It is an HP NX6325 dual core 64 bit AMD laptop.

The BIOS shows 4GB RAM after entering F10 and will do a full memory test on 4GB

However I do get this message after inserting the memory:

The following configuration options were automatically updated:
Total memory installed:3014656


Windows XP shows 3GB of RAM from task manager but 4GB RAM from msinfo32

How can we get Fedora to use the full 4GB RAM ?

I have tried adding the parameter
mem=4096M
to the grub line but it does not help.


Version-Release number of selected component (if applicable):
2.6.17-1.2187_FC5

How reproducible:
Always


Steps to Reproduce:
1. insert 2*2GB SODIMMS into the HP nx6325 laptop
2. boot into fedora
3. enter the free command, or use Gnome System Monitor, or cat /more/meminfo


Actual Results:
total shown is 2934984

Expected Results:
3983560

Additional info:
Have reproduced on:
FC5 2.6.17-1.2187_FC5
rawhide rescue disk 2.6.17-1.2630
RHEL 5 beta1 2.6.17-1.2519.4.21.el5

Comment 1 Konrad Rzeszutek 2006-10-02 15:28:04 UTC
Have you tried to turn of "PCI remapping" in the BIOS? It could be called "IOMMU
4GB remap" or something like that - each BIOS vendor calls it differently.

Comment 2 peter young 2006-10-02 16:10:07 UTC
There are no such BIOS options.
See the menus in the doc
http://h20000.www2.hp.com/bc/docs/support/SupportManual/c00715299/c00715299.pdf

Comment 3 Dave Jones 2006-10-16 17:52:24 UTC
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Comment 4 Konrad Rzeszutek 2006-10-19 19:48:23 UTC
Peter,

The problem is not with Fedora, nor Windows, nor any Operating System. It is the
BIOS using the 3GB-4GB memory address as an IOMMU hole. Most of the BIOSes I
have seen have an option to change the size of the IOMMU, disable it, or
"remaping" requests (which is what your BIOS is doing).Look in the BIOS for GART
options, perhaps you can change some of those settings.

I am closing this BZ as NOTABUG since it is not a Fedora bug but a the BIOS not
having an proper option.

Comment 5 peter young 2006-10-20 09:07:25 UTC
Konrad Thanks for the succint answer.

I shall your comments to HP and request that they put these options in the 
BIOS.

The only BIOS setting that I can find that is remotely related is

BIOS DMA Data Transfers
Allows you to control how BIOS disk I/O requests are serviced.
When “Enable” is selected, the BIOS will service ATA disk read and
write requests with DMA data transfers. When “Disable” is selected,
the BIOS will service ATA disk read and write requests with PIO
data transfers.

Would this help ?

I am waiting for some faulty memory to be replaced so I can't test at presetn.

Comment 6 peter young 2006-10-20 09:27:12 UTC
one more question

would the kernel parameter

pci=nommconf 

make any difference ?

Comment 7 Dave Jones 2006-10-21 08:03:38 UTC
BIOS DMA transfers - No. This is just a performance related option regarding how
fast your disk I/O occurs.

nommconf - no, this is to do with memory mapped PCI configuration space, nothing
to do with the memory hole.


Note You need to log in before you can comment on or make changes to this bug.